Package com.smartgwt.client.widgets.drawing

# Class MoveToCommand

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.drawing.DrawShapeCommand
com.smartgwt.client.widgets.drawing.MoveToCommand

All Implemented Interfaces:
  `HasHandlers`

public class MoveToCommand extends DrawShapeCommand
Command to start a new sub-path. Corresponds to the `DrawShapeCommandType.MOVETO` command type.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveToCommand()`
  `MoveToCommand(Point p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setArgs(Point p)`
  Sets the point to move to when executing this "moveto" command.

  ### Methods inherited from class com.smartgwt.client.widgets.drawing.DrawShapeCommand

  `getOrCreateRef, getType, setArgs, setType`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MoveToCommand

    public MoveToCommand()

  - ### MoveToCommand

    public MoveToCommand(Point p)

- ## Method Details

  - ### setArgs

    public void setArgs(Point p)
    Sets the point to move to when executing this "moveto" command.
    Parameters:
      `p` - the point to move to.